Package org.eclipse.m2m.atl.emftvm

# Enum Class FeatureTag

java.lang.Object
java.lang.Enum<FeatureTag>
org.eclipse.m2m.atl.emftvm.FeatureTag

All Implemented Interfaces:
  `Serializable`, `Comparable<FeatureTag>`, `Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum FeatureTag extends Enum<FeatureTag> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Feature Tag', and utility methods for working with them.

See Also:
  - `EmftvmPackage.getFeatureTag()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIELD`
The 'Field' literal object.
`OPERATION`
The 'Operation' literal object.
`QUERY_OPERATION`
The 'Query Operation' literal object.
`STATIC_FIELD`
The 'Static Field' literal object.
`STATIC_OPERATION`
The 'Static Operation' literal object.
`STATIC_QUERY_OPERATION`
The 'Static Query Operation' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FIELD_VALUE`
The 'Field' literal value.
`static final int`
`OPERATION_VALUE`
The 'Operation' literal value.
`static final int`
`QUERY_OPERATION_VALUE`
The 'Query Operation' literal value.
`static final int`
`STATIC_FIELD_VALUE`
The 'Static Field' literal value.
`static final int`
`STATIC_OPERATION_VALUE`
The 'Static Operation' literal value.
`static final int`
`STATIC_QUERY_OPERATION_VALUE`
The 'Static Query Operation' literal value.
`static final List<FeatureTag>`
`VALUES`
A public read-only list of all the 'Feature Tag' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static FeatureTag`
`get(int value)`
Returns the 'Feature Tag' literal with the specified integer value.
`static FeatureTag`
`get(String literal)`
Returns the 'Feature Tag' literal with the specified literal value.
`static FeatureTag`
`getByName(String name)`
Returns the 'Feature Tag' literal with the specified name.
`String`
`getLiteral()`
Returns the literal string value.
`String`
`getName()`
Returns the literal name.
`int`
`getValue()`
Returns the literal integer value.
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static FeatureTag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FeatureTag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FIELD

public static final FeatureTag FIELD
The 'Field' literal object.

See Also:
  - `FIELD_VALUE`

### STATIC_FIELD

public static final FeatureTag STATIC_FIELD
The 'Static Field' literal object.

See Also:
  - `STATIC_FIELD_VALUE`

### OPERATION

public static final FeatureTag OPERATION
The 'Operation' literal object.

See Also:
  - `OPERATION_VALUE`

### STATIC_OPERATION

public static final FeatureTag STATIC_OPERATION
The 'Static Operation' literal object.

See Also:
  - `STATIC_OPERATION_VALUE`

### QUERY_OPERATION

public static final FeatureTag QUERY_OPERATION
The 'Query Operation' literal object.

See Also:
  - `QUERY_OPERATION_VALUE`

### STATIC_QUERY_OPERATION

public static final FeatureTag STATIC_QUERY_OPERATION
The 'Static Query Operation' literal object.

See Also:
  - `STATIC_QUERY_OPERATION_VALUE`

## Field Details

### FIELD_VALUE

public static final int FIELD_VALUE
The 'Field' literal value.

If the meaning of 'Field' literal object isn't clear, there really should be more of a description here...

See Also:
  - `FIELD`
  - Constant Field Values

### STATIC_FIELD_VALUE

public static final int STATIC_FIELD_VALUE
The 'Static Field' literal value.

If the meaning of 'Static Field' literal object isn't clear, there really should be more of a description here...

See Also:
  - `STATIC_FIELD`
  - Constant Field Values

### OPERATION_VALUE

public static final int OPERATION_VALUE
The 'Operation' literal value.

If the meaning of 'Operation' literal object isn't clear, there really should be more of a description here...

See Also:
  - `OPERATION`
  - Constant Field Values

### STATIC_OPERATION_VALUE

public static final int STATIC_OPERATION_VALUE
The 'Static Operation' literal value.

If the meaning of 'Static Operation' literal object isn't clear, there really should be more of a description here...

See Also:
  - `STATIC_OPERATION`
  - Constant Field Values

### QUERY_OPERATION_VALUE

public static final int QUERY_OPERATION_VALUE
The 'Query Operation' literal value.

If the meaning of 'Query Operation' literal object isn't clear, there really should be more of a description here...

See Also:
  - `QUERY_OPERATION`
  - Constant Field Values

### STATIC_QUERY_OPERATION_VALUE

public static final int STATIC_QUERY_OPERATION_VALUE
The 'Static Query Operation' literal value.

If the meaning of 'Static Query Operation' literal object isn't clear, there really should be more of a description here...

See Also:
  - `STATIC_QUERY_OPERATION`
  - Constant Field Values

### VALUES

public static final List<FeatureTag> VALUES
A public read-only list of all the 'Feature Tag' enumerators.

## Method Details

### values

public static FeatureTag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FeatureTag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static FeatureTag get(String literal)
Returns the 'Feature Tag' literal with the specified literal value.

Parameters:
  `literal` - the literal value
  `literal` - the literal.
Returns:
  the 'Feature Tag' literal with the specified literal value.

### getByName

public static FeatureTag getByName(String name)
Returns the 'Feature Tag' literal with the specified name.

Parameters:
  `name` - the literal name
  `name` - the name.
Returns:
  the 'Feature Tag' literal with the specified name.

### get

public static FeatureTag get(int value)
Returns the 'Feature Tag' literal with the specified integer value.

Parameters:
  `value` - the literal integer value
  `value` - the integer value.
Returns:
  the 'Feature Tag' literal with the specified integer value.

### getValue

public int getValue()
Returns the literal integer value.

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal integer value.

### getName

public String getName()
Returns the literal name.

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal name.

### getLiteral

public String getLiteral()
Returns the literal string value.

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal string value.

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<FeatureTag>`
Returns:
  the literal value of the enumerator, which is its string representation.